Migration from NSX for vSphere to NSX-T fails with: This feature is not supported with the current applied license. Please upgrade your license in order to use this feature
search cancel

Migration from NSX for vSphere to NSX-T fails with: This feature is not supported with the current applied license. Please upgrade your license in order to use this feature

book

Article ID: 322470

calendar_today

Updated On:

Products

VMware NSX Networking

Issue/Introduction

Symptoms:
  • You are migrating from NSX for vSphere to NSX-T.
  • You dont use the DFW (Distributed Firewall) feature in NSX for vSphere, that is no rules are used, only default are applied.
  • You have a standard license for NSX-T.
  • The migration coordinator reports the following error:
This feature is not supported with the current applied license. Please upgrade your license in order to use this feature.
  • In the NSX-T manager log: migration-coordinator.log
2022-12-12T08:33:03.951Z INFO http-nio-127.0.0.1-7450-exec-2 MigrationFacadeImpl 28088 SYSTEM [nsx@6876 comp="nsx-manager" level="INFO" subcomp="migration-coordinator"] Component: CONFIG_MIGRATION, status: FAILED, % complete: 0.0, details: Config migration failed [Reason: HTTP Error: 403: This feature is not supported with the current applied license. Please upgrade your license in order to use this feature. for url: http://localhost:7440/nsxapi/api/v1/infra/domains/default/security-policies/57c24f69-e897-4038-9ba2-5aedf04c8887], canSkip: false
2022-12-12T08:33:03.952Z INFO http-nio-127.0.0.1-7450-exec-2 AuditingServiceImpl 28088 - [nsx@6876 audit="true" comp="nsx-manager" level="INFO" subcomp="migration-coordinator"] UserName="admin", ModuleName="Migration", Operation="GetMigrationStatusSummary", Operation status="success", New value=[{"component_type":"CONFIG_MIGRATION"}]
  • In the NSX-T manager log: nsxapi.log
2022-12-12T08:32:15.064Z INFO http-nio-127.0.0.1-7440-exec-7 FacadeInterceptorHelperImpl 15277 - [nsx@6876 comp="nsx-manager" level="INFO" subcomp="manager"] license violation found
2022-12-12T08:32:15.064Z INFO http-nio-127.0.0.1-7440-exec-7 NsxBaseRestController 15277 SYSTEM [nsx@6876 comp="nsx-manager" level="INFO" subcomp="manager"] Error in API /nsxapi/api/v1/infra/domains/default/security-policies/57c24f69-e897-4038-9ba2-5aedf04c8887 caused by exception com.vmware.nsx.management.container.exceptions.LicenseViolationException: {"moduleName":"common-services","errorCode":505,"errorMessage":"This feature is not supported with the current applied license. Please upgrade your license in order to use this feature.","details":"This feature is not supported with the current applied license. Please upgrade your license in order to use this feature."}


Environment

VMware NSX-T Data Center

Cause

The standard license does not support DFW.
The logic of the migration checks if the vShield Endpoint license is used and will block the DFW migration with the following alerts
"Firewall sections/rules are not licensed in NSX-T so they cannot be migrated" and this allows you to skip the DFW migration.
When the standard license is used, we do not have the same check in place and this means the DFW export is attempted, but due to the NSX-T standard license this fails.

Resolution

This issue is resolved in VMware NSX 3.2.3, available at VMware downloads.

Workaround:
This is a known issue impacting NSX-T.